import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
* AWS Backup
*/
export interface DataAwsBackupReportPlanConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/d/backup_report_plan#name DataAwsBackupReportPlan#name}
    */
    readonly name: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/d/backup_report_plan#tags DataAwsBackupReportPlan#tags}
    */
    readonly tags?: {
        [key: string]: string;
    };
}
export declare class DataAwsBackupReportPlanReportDeliveryChannel extends cdktf.ComplexComputedList {
    get formats(): string[];
    get s3BucketName(): string;
    get s3KeyPrefix(): string;
}
export declare class DataAwsBackupReportPlanReportSetting extends cdktf.ComplexComputedList {
    get frameworkArns(): string[];
    get numberOfFrameworks(): number;
    get reportTemplate(): string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/aws/d/backup_report_plan aws_backup_report_plan}
*/
export declare class DataAwsBackupReportPlan extends cdktf.TerraformDataSource {
    static readonly tfResourceType: string;
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/aws/d/backup_report_plan aws_backup_report_plan} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataAwsBackupReportPlanConfig
    */
    constructor(scope: Construct, id: string, config: DataAwsBackupReportPlanConfig);
    get arn(): string;
    get creationTime(): string;
    get deploymentStatus(): string;
    get description(): string;
    get id(): string;
    private _name?;
    get name(): string;
    set name(value: string);
    get nameInput(): string | undefined;
    reportDeliveryChannel(index: string): DataAwsBackupReportPlanReportDeliveryChannel;
    reportSetting(index: string): DataAwsBackupReportPlanReportSetting;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
