import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataAwsMemorydbParameterGroupConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/d/memorydb_parameter_group#name DataAwsMemorydbParameterGroup#name}
    */
    readonly name: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/d/memorydb_parameter_group#tags DataAwsMemorydbParameterGroup#tags}
    */
    readonly tags?: {
        [key: string]: string;
    };
}
export declare class DataAwsMemorydbParameterGroupParameter extends cdktf.ComplexComputedList {
    get name(): string;
    get value(): string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/aws/d/memorydb_parameter_group aws_memorydb_parameter_group}
*/
export declare class DataAwsMemorydbParameterGroup extends cdktf.TerraformDataSource {
    static readonly tfResourceType: string;
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/aws/d/memorydb_parameter_group aws_memorydb_parameter_group} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataAwsMemorydbParameterGroupConfig
    */
    constructor(scope: Construct, id: string, config: DataAwsMemorydbParameterGroupConfig);
    get arn(): string;
    get description(): string;
    get family(): string;
    get id(): string;
    private _name?;
    get name(): string;
    set name(value: string);
    get nameInput(): string | undefined;
    parameter(index: string): DataAwsMemorydbParameterGroupParameter;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
