import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
* AWS EC2
*/
export interface DataAwsEc2ClientVpnEndpointConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/d/ec2_client_vpn_endpoint#client_vpn_endpoint_id DataAwsEc2ClientVpnEndpoint#client_vpn_endpoint_id}
    */
    readonly clientVpnEndpointId?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/d/ec2_client_vpn_endpoint#tags DataAwsEc2ClientVpnEndpoint#tags}
    */
    readonly tags?: {
        [key: string]: string;
    };
    /**
    * filter block
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/d/ec2_client_vpn_endpoint#filter DataAwsEc2ClientVpnEndpoint#filter}
    */
    readonly filter?: DataAwsEc2ClientVpnEndpointFilter[] | cdktf.IResolvable;
}
export declare class DataAwsEc2ClientVpnEndpointAuthenticationOptions extends cdktf.ComplexComputedList {
    get activeDirectoryId(): string;
    get rootCertificateChainArn(): string;
    get samlProviderArn(): string;
    get selfServiceSamlProviderArn(): string;
    get type(): string;
}
export declare class DataAwsEc2ClientVpnEndpointClientConnectOptions extends cdktf.ComplexComputedList {
    get enabled(): cdktf.IResolvable;
    get lambdaFunctionArn(): string;
}
export declare class DataAwsEc2ClientVpnEndpointClientLoginBannerOptions extends cdktf.ComplexComputedList {
    get bannerText(): string;
    get enabled(): cdktf.IResolvable;
}
export declare class DataAwsEc2ClientVpnEndpointConnectionLogOptions extends cdktf.ComplexComputedList {
    get cloudwatchLogGroup(): string;
    get cloudwatchLogStream(): string;
    get enabled(): cdktf.IResolvable;
}
export interface DataAwsEc2ClientVpnEndpointFilter {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/d/ec2_client_vpn_endpoint#name DataAwsEc2ClientVpnEndpoint#name}
    */
    readonly name: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/d/ec2_client_vpn_endpoint#values DataAwsEc2ClientVpnEndpoint#values}
    */
    readonly values: string[];
}
export declare function dataAwsEc2ClientVpnEndpointFilterToTerraform(struct?: DataAwsEc2ClientVpnEndpointFilter | cdktf.IResolvable): any;
/**
* Represents a {@link https://www.terraform.io/docs/providers/aws/d/ec2_client_vpn_endpoint aws_ec2_client_vpn_endpoint}
*/
export declare class DataAwsEc2ClientVpnEndpoint extends cdktf.TerraformDataSource {
    static readonly tfResourceType: string;
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/aws/d/ec2_client_vpn_endpoint aws_ec2_client_vpn_endpoint} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataAwsEc2ClientVpnEndpointConfig = {}
    */
    constructor(scope: Construct, id: string, config?: DataAwsEc2ClientVpnEndpointConfig);
    get arn(): string;
    authenticationOptions(index: string): DataAwsEc2ClientVpnEndpointAuthenticationOptions;
    get clientCidrBlock(): string;
    clientConnectOptions(index: string): DataAwsEc2ClientVpnEndpointClientConnectOptions;
    clientLoginBannerOptions(index: string): DataAwsEc2ClientVpnEndpointClientLoginBannerOptions;
    private _clientVpnEndpointId?;
    get clientVpnEndpointId(): string;
    set clientVpnEndpointId(value: string);
    resetClientVpnEndpointId(): void;
    get clientVpnEndpointIdInput(): string | undefined;
    connectionLogOptions(index: string): DataAwsEc2ClientVpnEndpointConnectionLogOptions;
    get description(): string;
    get dnsName(): string;
    get dnsServers(): string[];
    get id(): string;
    get securityGroupIds(): string[];
    get selfServicePortal(): string;
    get serverCertificateArn(): string;
    get sessionTimeoutHours(): number;
    get splitTunnel(): cdktf.IResolvable;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    get transportProtocol(): string;
    get vpcId(): string;
    get vpnPort(): number;
    private _filter?;
    get filter(): DataAwsEc2ClientVpnEndpointFilter[] | cdktf.IResolvable;
    set filter(value: DataAwsEc2ClientVpnEndpointFilter[] | cdktf.IResolvable);
    resetFilter(): void;
    get filterInput(): cdktf.IResolvable | DataAwsEc2ClientVpnEndpointFilter[] | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
