import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
* AWS Image Builder
*/
export interface DataAwsImagebuilderContainerRecipeConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/d/imagebuilder_container_recipe#arn DataAwsImagebuilderContainerRecipe#arn}
    */
    readonly arn: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/d/imagebuilder_container_recipe#tags DataAwsImagebuilderContainerRecipe#tags}
    */
    readonly tags?: {
        [key: string]: string;
    };
}
export declare class DataAwsImagebuilderContainerRecipeComponentParameter extends cdktf.ComplexComputedList {
    get name(): string;
    get value(): string;
}
export declare class DataAwsImagebuilderContainerRecipeComponent extends cdktf.ComplexComputedList {
    get componentArn(): string;
    get parameter(): cdktf.IResolvable;
}
export declare class DataAwsImagebuilderContainerRecipeInstanceConfigurationBlockDeviceMappingEbs extends cdktf.ComplexComputedList {
    get deleteOnTermination(): cdktf.IResolvable;
    get encrypted(): cdktf.IResolvable;
    get iops(): number;
    get kmsKeyId(): string;
    get snapshotId(): string;
    get volumeSize(): number;
    get volumeType(): string;
}
export declare class DataAwsImagebuilderContainerRecipeInstanceConfigurationBlockDeviceMapping extends cdktf.ComplexComputedList {
    get deviceName(): string;
    get ebs(): cdktf.IResolvable;
    get noDevice(): string;
    get virtualName(): string;
}
export declare class DataAwsImagebuilderContainerRecipeInstanceConfiguration extends cdktf.ComplexComputedList {
    get blockDeviceMapping(): cdktf.IResolvable;
    get image(): string;
}
export declare class DataAwsImagebuilderContainerRecipeTargetRepository extends cdktf.ComplexComputedList {
    get repositoryName(): string;
    get service(): string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/aws/d/imagebuilder_container_recipe aws_imagebuilder_container_recipe}
*/
export declare class DataAwsImagebuilderContainerRecipe extends cdktf.TerraformDataSource {
    static readonly tfResourceType: string;
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/aws/d/imagebuilder_container_recipe aws_imagebuilder_container_recipe} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataAwsImagebuilderContainerRecipeConfig
    */
    constructor(scope: Construct, id: string, config: DataAwsImagebuilderContainerRecipeConfig);
    private _arn?;
    get arn(): string;
    set arn(value: string);
    get arnInput(): string | undefined;
    component(index: string): DataAwsImagebuilderContainerRecipeComponent;
    get containerType(): string;
    get dateCreated(): string;
    get description(): string;
    get dockerfileTemplateData(): string;
    get encrypted(): cdktf.IResolvable;
    get id(): string;
    instanceConfiguration(index: string): DataAwsImagebuilderContainerRecipeInstanceConfiguration;
    get kmsKeyId(): string;
    get name(): string;
    get owner(): string;
    get parentImage(): string;
    get platform(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    targetRepository(index: string): DataAwsImagebuilderContainerRecipeTargetRepository;
    get version(): string;
    get workingDirectory(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
