import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
* AWS Simple Storage Service
*/
export interface S3BucketConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/s3_bucket#bucket S3Bucket#bucket}
    */
    readonly bucket?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/s3_bucket#bucket_prefix S3Bucket#bucket_prefix}
    */
    readonly bucketPrefix?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/s3_bucket#force_destroy S3Bucket#force_destroy}
    */
    readonly forceDestroy?: boolean | cdktf.IResolvable;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/s3_bucket#hosted_zone_id S3Bucket#hosted_zone_id}
    */
    readonly hostedZoneId?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/s3_bucket#object_lock_enabled S3Bucket#object_lock_enabled}
    */
    readonly objectLockEnabled?: boolean | cdktf.IResolvable;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/s3_bucket#tags S3Bucket#tags}
    */
    readonly tags?: {
        [key: string]: string;
    };
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/s3_bucket#tags_all S3Bucket#tags_all}
    */
    readonly tagsAll?: {
        [key: string]: string;
    };
    /**
    * object_lock_configuration block
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/s3_bucket#object_lock_configuration S3Bucket#object_lock_configuration}
    */
    readonly objectLockConfiguration?: S3BucketObjectLockConfiguration;
}
export declare class S3BucketCorsRule extends cdktf.ComplexComputedList {
    get allowedHeaders(): string[];
    get allowedMethods(): string[];
    get allowedOrigins(): string[];
    get exposeHeaders(): string[];
    get maxAgeSeconds(): number;
}
export declare class S3BucketGrant extends cdktf.ComplexComputedList {
    get id(): string;
    get permissions(): string[];
    get type(): string;
    get uri(): string;
}
export declare class S3BucketLifecycleRuleExpiration extends cdktf.ComplexComputedList {
    get date(): string;
    get days(): number;
    get expiredObjectDeleteMarker(): cdktf.IResolvable;
}
export declare class S3BucketLifecycleRuleNoncurrentVersionExpiration extends cdktf.ComplexComputedList {
    get days(): number;
}
export declare class S3BucketLifecycleRuleNoncurrentVersionTransition extends cdktf.ComplexComputedList {
    get days(): number;
    get storageClass(): string;
}
export declare class S3BucketLifecycleRuleTransition extends cdktf.ComplexComputedList {
    get date(): string;
    get days(): number;
    get storageClass(): string;
}
export declare class S3BucketLifecycleRule extends cdktf.ComplexComputedList {
    get abortIncompleteMultipartUploadDays(): number;
    get enabled(): cdktf.IResolvable;
    get expiration(): cdktf.IResolvable;
    get id(): string;
    get noncurrentVersionExpiration(): cdktf.IResolvable;
    get noncurrentVersionTransition(): cdktf.IResolvable;
    get prefix(): string;
    get tags(): {
        [key: string]: string;
    };
    get transition(): cdktf.IResolvable;
}
export declare class S3BucketLogging extends cdktf.ComplexComputedList {
    get targetBucket(): string;
    get targetPrefix(): string;
}
export declare class S3BucketReplicationConfigurationRulesDestinationAccessControlTranslation extends cdktf.ComplexComputedList {
    get owner(): string;
}
export declare class S3BucketReplicationConfigurationRulesDestinationMetrics extends cdktf.ComplexComputedList {
    get minutes(): number;
    get status(): string;
}
export declare class S3BucketReplicationConfigurationRulesDestinationReplicationTime extends cdktf.ComplexComputedList {
    get minutes(): number;
    get status(): string;
}
export declare class S3BucketReplicationConfigurationRulesDestination extends cdktf.ComplexComputedList {
    get accessControlTranslation(): cdktf.IResolvable;
    get accountId(): string;
    get bucket(): string;
    get metrics(): cdktf.IResolvable;
    get replicaKmsKeyId(): string;
    get replicationTime(): cdktf.IResolvable;
    get storageClass(): string;
}
export declare class S3BucketReplicationConfigurationRulesFilter extends cdktf.ComplexComputedList {
    get prefix(): string;
    get tags(): {
        [key: string]: string;
    };
}
export declare class S3BucketReplicationConfigurationRulesSourceSelectionCriteriaSseKmsEncryptedObjects extends cdktf.ComplexComputedList {
    get enabled(): cdktf.IResolvable;
}
export declare class S3BucketReplicationConfigurationRulesSourceSelectionCriteria extends cdktf.ComplexComputedList {
    get sseKmsEncryptedObjects(): cdktf.IResolvable;
}
export declare class S3BucketReplicationConfigurationRules extends cdktf.ComplexComputedList {
    get deleteMarkerReplicationStatus(): string;
    get destination(): cdktf.IResolvable;
    get filter(): cdktf.IResolvable;
    get id(): string;
    get prefix(): string;
    get priority(): number;
    get sourceSelectionCriteria(): cdktf.IResolvable;
    get status(): string;
}
export declare class S3BucketReplicationConfiguration extends cdktf.ComplexComputedList {
    get role(): string;
    get rules(): cdktf.IResolvable;
}
export declare class S3BucketServerSideEncryptionConfigurationRuleApplyServerSideEncryptionByDefault extends cdktf.ComplexComputedList {
    get kmsMasterKeyId(): string;
    get sseAlgorithm(): string;
}
export declare class S3BucketServerSideEncryptionConfigurationRule extends cdktf.ComplexComputedList {
    get applyServerSideEncryptionByDefault(): cdktf.IResolvable;
    get bucketKeyEnabled(): cdktf.IResolvable;
}
export declare class S3BucketServerSideEncryptionConfiguration extends cdktf.ComplexComputedList {
    get rule(): cdktf.IResolvable;
}
export declare class S3BucketVersioning extends cdktf.ComplexComputedList {
    get enabled(): cdktf.IResolvable;
    get mfaDelete(): cdktf.IResolvable;
}
export declare class S3BucketWebsite extends cdktf.ComplexComputedList {
    get errorDocument(): string;
    get indexDocument(): string;
    get redirectAllRequestsTo(): string;
    get routingRules(): string;
}
export declare class S3BucketObjectLockConfigurationRuleDefaultRetention extends cdktf.ComplexComputedList {
    get days(): number;
    get mode(): string;
    get years(): number;
}
export declare class S3BucketObjectLockConfigurationRule extends cdktf.ComplexComputedList {
    get defaultRetention(): cdktf.IResolvable;
}
export interface S3BucketObjectLockConfiguration {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/s3_bucket#object_lock_enabled S3Bucket#object_lock_enabled}
    */
    readonly objectLockEnabled?: string;
}
export declare function s3BucketObjectLockConfigurationToTerraform(struct?: S3BucketObjectLockConfigurationOutputReference | S3BucketObjectLockConfiguration): any;
export declare class S3BucketObjectLockConfigurationOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param isSingleItem True if this is a block, false if it's a list
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, isSingleItem: boolean);
    get internalValue(): S3BucketObjectLockConfiguration | undefined;
    set internalValue(value: S3BucketObjectLockConfiguration | undefined);
    private _objectLockEnabled?;
    get objectLockEnabled(): string;
    set objectLockEnabled(value: string);
    resetObjectLockEnabled(): void;
    get objectLockEnabledInput(): string | undefined;
    rule(index: string): S3BucketObjectLockConfigurationRule;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/aws/r/s3_bucket aws_s3_bucket}
*/
export declare class S3Bucket extends cdktf.TerraformResource {
    static readonly tfResourceType: string;
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/aws/r/s3_bucket aws_s3_bucket} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options S3BucketConfig = {}
    */
    constructor(scope: Construct, id: string, config?: S3BucketConfig);
    get accelerationStatus(): string;
    get acl(): string;
    get arn(): string;
    private _bucket?;
    get bucket(): string;
    set bucket(value: string);
    resetBucket(): void;
    get bucketInput(): string | undefined;
    get bucketDomainName(): string;
    private _bucketPrefix?;
    get bucketPrefix(): string;
    set bucketPrefix(value: string);
    resetBucketPrefix(): void;
    get bucketPrefixInput(): string | undefined;
    get bucketRegionalDomainName(): string;
    corsRule(index: string): S3BucketCorsRule;
    private _forceDestroy?;
    get forceDestroy(): boolean | cdktf.IResolvable;
    set forceDestroy(value: boolean | cdktf.IResolvable);
    resetForceDestroy(): void;
    get forceDestroyInput(): boolean | cdktf.IResolvable | undefined;
    grant(index: string): S3BucketGrant;
    private _hostedZoneId?;
    get hostedZoneId(): string;
    set hostedZoneId(value: string);
    resetHostedZoneId(): void;
    get hostedZoneIdInput(): string | undefined;
    get id(): string;
    lifecycleRule(index: string): S3BucketLifecycleRule;
    logging(index: string): S3BucketLogging;
    private _objectLockEnabled?;
    get objectLockEnabled(): boolean | cdktf.IResolvable;
    set objectLockEnabled(value: boolean | cdktf.IResolvable);
    resetObjectLockEnabled(): void;
    get objectLockEnabledInput(): boolean | cdktf.IResolvable | undefined;
    get policy(): string;
    get region(): string;
    replicationConfiguration(index: string): S3BucketReplicationConfiguration;
    get requestPayer(): string;
    serverSideEncryptionConfiguration(index: string): S3BucketServerSideEncryptionConfiguration;
    private _tags?;
    get tags(): {
        [key: string]: string;
    };
    set tags(value: {
        [key: string]: string;
    });
    resetTags(): void;
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _tagsAll?;
    get tagsAll(): {
        [key: string]: string;
    };
    set tagsAll(value: {
        [key: string]: string;
    });
    resetTagsAll(): void;
    get tagsAllInput(): {
        [key: string]: string;
    } | undefined;
    versioning(index: string): S3BucketVersioning;
    website(index: string): S3BucketWebsite;
    get websiteDomain(): string;
    get websiteEndpoint(): string;
    private _objectLockConfiguration;
    get objectLockConfiguration(): S3BucketObjectLockConfigurationOutputReference;
    putObjectLockConfiguration(value: S3BucketObjectLockConfiguration): void;
    resetObjectLockConfiguration(): void;
    get objectLockConfigurationInput(): S3BucketObjectLockConfiguration | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
